---
updatedAt: 2025-09-18T22:38:10.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# klay_getBlockReceipts

Returns receipts included in a block identified by block hash.

> 📘 Supported on Klaytn (mainnet) only.

## Parameters

**Request**

| Type         | Description |
| ------------ | ----------- |
| 32-byte DATA | Block hash  |

**Result**

Receipts included in a block.  If the target block contains no transaction, an\
empty array `[]` is returned.

## API Endpoint

The format of a Klaytn API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/klaytn/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/klaytn/`

## Example

```shell
// Request
curl https://open-platform.nodereal.io/{{apiKey}}/klaytn/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0", "method":"klay_getBlockReceipts", "params":["0xdc762ed0274496e2a42278e2648d910d82468687b5415bb5eb058a96a0b93c30"],"id":73}' 

// Result
{
  "jsonrpc":"2.0",
  "id":73,
  "result":[{
    "blockHash":"0xdc762ed0274496e2a42278e2648d910d82468687b5415bb5eb058a96a0b93c30",
    "blockNumber":"0x3ba38",
    "contractAddress":null,
    "effectiveGasPrice":"0x5d21dba00",
    "from":"0x16b11cf9c2186a117b0da38315b42b1eaa03bbe5",
    "gas":"0x30d40",
    "gasPrice":"0xba43b7400",
    "gasUsed":"0x1886c",
    "logs":[],
    "logsBloom":"0x00000000000000000000000000000000008000000000000000000000000000080000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000080000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000004000000000000040000080000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
    "nonce":"0x58e",
    "senderTxHash":"0x234469b3d3222657c98904deaba7ec6613161ea9405275025f4784a4d9918af5",
    "signatures":["0x7f6","0x50b2b0f95b8a6d7018369b1933d6cebb52ef119463d1840a6181d05bf8fc29d8","0x329630f88d9d06c5f1bd7644dbf6bd6b92e4ab0e3d47122972f8294c9289e7bb"],
    "status":"0x1",
    "to":"0xdbb98c72e9818ad2c93a09e35ad43ada0d4223f0",
    "transactionHash":"0x234469b3d3222657c98904deaba7ec6613161ea9405275025f4784a4d9918af5",
    "transactionIndex":"0x0",
    "type":"TxTypeValueTransfer",
    "typeInt":8,
    "value":"0x21e19e0c9bab2400000"
  }
}
```